{
  "ash" : {
    "generateResource" : "Y"
  },
  "attributes" : [
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "_rowid",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "databasePreferenceID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "name",
      "externalType" : "char",
      "name" : "name",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "ashName" : "string_value",
        "includeInResource" : "Y"
      },
      "columnName" : "prefValue",
      "externalType" : "char",
      "name" : "prefValue",
      "purpose" : "The string value.",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionUserID",
      "externalType" : "int",
      "isIndexed" : "Y",
      "name" : "deletionUserID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionDate",
      "externalType" : "datetime",
      "isIndexed" : "Y",
      "name" : "deletionDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionIdentifier",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "deletionIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : 255
    },
    {
      "addedInModelVersion" : 1200,
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "valueType",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "valueType",
      "purpose" : "The type of preference value.",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "EnumInteger",
      "valueEnum" : "DatabasePreferenceValueType"
    },
    {
      "addedInModelVersion" : 1200,
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "boolValue",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "boolValue",
      "purpose" : "The boolean value.",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "Boolean"
    },
    {
      "addedInModelVersion" : 1200,
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "intValue",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "intValue",
      "purpose" : "The integer value.",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "Integer"
    },
    {
      "addedInModelVersion" : 1200,
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "floatValue",
      "defaultValue" : "0",
      "externalType" : "double",
      "name" : "floatValue",
      "purpose" : "The floating point value.",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber"
    },
    {
      "addedInModelVersion" : 1200,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "dateValue",
      "externalType" : "datetime",
      "name" : "dateValue",
      "purpose" : "The date (timestamp) value.",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    }
  ],
  "className" : "GWDatabasePreference",
  "classProperties" : [
    "databasePreferenceID",
    "name",
    "prefValue",
    "deletionUserID",
    "deletionDate",
    "deletionIdentifier",
    "valueType",
    "boolValue",
    "intValue",
    "floatValue",
    "dateValue"
  ],
  "domain" : "Settings",
  "enums" : [
    {
      "addedInModelVersion" : 1200,
      "items" : [
        {
          "addedInModelVersion" : 1200,
          "name" : "String",
          "value" : 0
        },
        {
          "addedInModelVersion" : 1200,
          "name" : "Boolean",
          "value" : 1
        },
        {
          "addedInModelVersion" : 1200,
          "name" : "Integer",
          "value" : 2
        },
        {
          "addedInModelVersion" : 1200,
          "name" : "Float",
          "value" : 3
        },
        {
          "addedInModelVersion" : 1200,
          "name" : "Date",
          "purpose" : "Date with time.",
          "value" : 4
        }
      ],
      "name" : "DatabasePreferenceValueType",
      "purpose" : "The type of the preference's value.",
      "type" : 1
    }
  ],
  "externalName" : "DatabasePreference",
  "fetchSpecificationDictionary" : {

  },
  "isDatabasePreference" : false,
  "isTrashable" : true,
  "name" : "DatabasePreference",
  "primaryKeyAttributes" : [
    "databasePreferenceID"
  ],
  "record" : {
    "allowsRecord" : "Y",
    "isDirectlyUpdatable" : "Y"
  },
  "relationships" : [

  ],
  "supportedPlatforms" : "MCPSupportedPlatformsAll",
  "supportsPermissions" : false,
  "uniqueIdentifier" : "24"
}